package asm

import "maps"

// Assembler contains a list of instructions.
type Assembler struct {
	Instructions []Instruction
	Data         map[string][]byte
}

// Merge combines the contents of this assembler with another one.
func (a *Assembler) Merge(b Assembler) {
	a.Instructions = append(a.Instructions, b.Instructions...)
	maps.Copy(a.Data, b.Data)
}
